# Method: projects.locations.queuedResources.getMaintenanceInfo

- [HTTP request](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#body.request_body)
- [Response body](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#body.GetMaintenanceInfoResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#body.aspect_1)
- [NodeUpcomingMaintenanceInfo](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#NodeUpcomingMaintenanceInfo)
  - [JSON representation](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#NodeUpcomingMaintenanceInfo.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#try-it)

Gets the maintenance info for a queued resource.

### HTTP request

`GET https://tpu.googleapis.com/v2alpha1/{name=projects/*/locations/*/queuedResources/*}:getMaintenanceInfo`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The QueuedResource name. |

### Request body

The request body must be empty.

### Response body

Response for `https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#google.cloud.tpu.v2alpha1.Tpu.GetMaintenanceInfo`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "nodeUpcomingMaintenances": [ { object (`https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#NodeUpcomingMaintenanceInfo`) } ] } ``` |

| Fields ||
|---|---|
| `nodeUpcomingMaintenances[]` | ``object (`https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.queuedResources/getMaintenanceInfo#NodeUpcomingMaintenanceInfo`)`` The list of upcoming maintenance entries. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud.tpu`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `tpu.nodes.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## NodeUpcomingMaintenanceInfo

A tuple containing node name / ID and maintenance info.

| JSON representation |
|---|
| ``` { "nodeName": string, "nodeUid": string, "upcomingMaintenance": { object (`https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.nodes#Node.UpcomingMaintenance`) } } ``` |

| Fields ||
|---|---|
| `nodeName` | `string` Unqualified node name. |
| `nodeUid` | `string (https://developers.google.com/discovery/v1/type-format format)` UID of this node. |
| `upcomingMaintenance` | ``object (`https://docs.cloud.google.com/tpu/docs/reference/rest/v2alpha1/projects.locations.nodes#Node.UpcomingMaintenance`)`` Upcoming maintenance info for this node. |